/*
 * CircularMAC.h
 *
 *  Created on: 28 Nov 2012
 *      Author: peter.brewster
 */

#ifndef CIRCULARMAC_H_
#define CIRCULARMAC_H_

class CircularMAC {
public:
	CircularMAC();
	virtual ~CircularMAC();

	bool InitialiseMAC (unsigned int MacLen);
	bool IterateMAC (double WaveData,double *FilterKernel);
	double  GetMACOutput(void);
	double * GetMACContents(void);  //returns a pointer to the start of the MAC data so the last items can be pulled off

};

#endif /* CIRCULARMAC_H_ */
