/*
 * FileOut.h
 *
 *  Created on: 10 Dec 2012
 *      Author: peter.brewster
 */

#ifndef FILEOUT_H_
#define FILEOUT_H_

class FileOut {
public:
	FileOut();
	virtual ~FileOut();
	bool OpenFile(const char * FileName); //to include path
	bool AutoNewLine(bool newline); //defaults to on
	bool WriteDouble (double data);
	bool WriteUInt(unsigned int data);
	bool WriteInt(int data);
	bool WriteString(const char * data);
	bool WriteChar(char data);
	bool CloseFile(void);
	bool NewLine (void);

private:
	bool DefaultNewLine;
	ofstream AFile;

};

#endif /* FILEOUT_H_ */
